The following procedures provide information about upgrading to VMware Cloud Foundation 5.1 on Dell VxRail.

Note: Review the VMware Interoperability Matrix to verify compatibility and upgradability before planning and starting an upgrade.

You can perform a sequential or skip-level upgrade to VMware Cloud Foundation 5.1 on Dell VxRail from VMware Cloud Foundation 4.4 or later. If your environment is at a version earlier than 4.4, you must upgrade the management domain and all VI workload domains to VMware Cloud Foundation 4.4 or later and then upgrade to VMware Cloud Foundation 5.1.

Warning: vSphere with Tanzu enabled clusters, may require a specific upgrade sequence. See KB 88962 for more information.

The first step is to download the bundles for each VMware Cloud Foundation on Dell VxRail component that requires an upgrade. After all of the bundles are available in SDDC Manager, upgrade the management domain and then your VI workload domains.

VMware Cloud Foundation 5.1 supports VMware Cloud Foundation+. To add your on-premises deployment to a VMware Cloud Foundation+ subscription, you must upgrade at least the management domain to VMware Cloud Foundation 5.0 and VI workload domains to VCF 4.5. See the VMware Cloud Foundation+ Guide for more information.